Docs Kling /kling/v1/videos/multi-elements/init-selection
API reference

Initialize the video to be edited

POST/kling/v1/videos/multi-elements/init-selection

Body Parametersapplication/json

video_id string

Video ID from history (last 30 days) for editing only durations 2–5s or 7–10s related to video_url; provide exactly one

video_url string

Video URL: download link on upload; returned URL when editing selection only MP4 and MOV only durations 2–5s or 7–10s

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"video_id": "828013548709777428",
3"video_url": ""
4}
Code Sample cURL
1curl -X POST "https://api.digislash.com/kling/v1/videos/multi-elements/init-selection" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"video_id": "828013548709777428",
6"video_url": ""
7}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}